# SPDX-License-Identifier: GPL-2.0
PWD := $(shell pwd)
MODNAME = ac71
MODVER = 0.0

obj-m += $(MODNAME).o

# alphabetically sorted
$(MODNAME)-y += ec.o \
		main.o \
		misc.o \
		pdev.o \
		events.o \

$(MODNAME)-$(CONFIG_ACPI_BATTERY) += battery.o
$(MODNAME)-$(CONFIG_HWMON)        += hwmon.o hwmon_fan.o hwmon_pwm.o fan.o

all:
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules

install:
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules_install

clean:
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean
